package com.zhaohaoting.framework;

import android.app.Activity;
import android.content.Context;

/**
 * author：Created by zhaohaoting on 2018/1/10 11:51
 * email：526309416@qq.com
 * desc：
 */

public class ZhtLibrary {
    public static void init(Context context, int ic_launcher, Class<? extends Activity> entranceActivity, String SpName) {
        ZhtLibrary.context = context;
        ZhtLibrary.ic_launcher = ic_launcher;
        ZhtLibrary.entranceActivity = entranceActivity;
        ZhtLibrary.SpName = SpName;
    }

    private static Context context;
    private static int ic_launcher;
    private static Class<? extends Activity> entranceActivity;
    private static String SpName;

    public static Context getContext() {
        return context;
    }

    public static int getIc_launcher() {
        return ic_launcher;
    }

    public static Class<? extends Activity> getEntranceActivity() {
        return entranceActivity;
    }

    public static String getSpName() {
        return SpName;
    }
}
